package com.mingsoft.entity;

import java.util.ArrayList;
import java.util.List;
/**
 *  选择栏目
 * @author 成卫雄
 * QQ:330216230
 * 技术支持：景德镇铭飞科技
 * 官网：www.ming-soft.com
 */
public class ArticleTypeTreeEntity {
	/**
	 * 显示JOSN的内容
	 */
	private String text;

	/**
	 * 显示JOSN的ID
	 */
	private List<Integer> id = new ArrayList<Integer>();
	
	/**
	 * 栏目 的自增长ID
	 */
	private int idTem;
	
	/**
	 * 关联栏目级别的ID
	 */
	private int pid;
	/**
	 * 栏目属性
	 */
	private int quality;
	
	public int getQuality() {
		return quality;
	}

	public void setQuality(int quality) {
		this.quality = quality;
	}

	/**
	 * 显示JOSN类容中的子节点
	 */
	private List<ArticleTypeTreeEntity> children = new ArrayList<ArticleTypeTreeEntity>();
	
	public int getPid() {
		return pid;
	}

	public void setPid(int pid) {
		this.pid = pid;
	}

	public int getIdTem() {
		return idTem;
	}

	public void setIdTem(int idTem) {
		this.idTem = idTem;
	}
	
	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public List<Integer> getId() {
		return id;
	}

	public void setId(int id) {
		this.id.add(id);
	}

	public List<ArticleTypeTreeEntity> getChildren() {
		return children;
	}

	public void setChildren(List<ArticleTypeTreeEntity> children) {
		this.children = children;
	}


}
